Dataset Api
------------------

.. autoclass:: magic_pdf.data.dataset.PageableData
   :members:
   :inherited-members:

.. autoclass:: magic_pdf.data.dataset.Dataset
   :members:
   :inherited-members:

.. autoclass:: magic_pdf.data.dataset.ImageDataset
   :members:
   :inherited-members:

.. autoclass:: magic_pdf.data.dataset.PymuDocDataset
   :members:
   :inherited-members:

.. autoclass:: magic_pdf.data.dataset.Doc
   :members:
   :inherited-members:
